## org.eclipse.emf.mapping.ecore2xml.impl
Class XMLMapImpl.DelegateXMLMapImpl

    java.lang.Object
      org.eclipse.emf.ecore.xmi.impl.XMLMapImpl
          org.eclipse.emf.mapping.ecore2xml.impl.XMLMapImpl.DelegateXMLMapImpl

All Implemented Interfaces:
  XMLResource.XMLMap

Enclosing class:
  XMLMapImpl

    protected class XMLMapImpl.DelegateXMLMapImpl

extends XMLMapImpl

Field Summary

Fields inherited from class org.eclipse.emf.ecore.xmi.impl.XMLMapImpl
`eClassToFeatures, ecoreToXMLInfo, idAttributeName, noNamespacePkg, packageRegistry, processedEPackages, urisToNamesToClassifiers, XSD2ECORE`

Constructor Summary
`protected` `XMLMapImpl.DelegateXMLMapImpl()`

Method Summary

Methods inherited from class org.eclipse.emf.ecore.xmi.impl.XMLMapImpl
`add, getClassifier, getFeature, getFeatures, getIDAttributeName, getInfo, getNoNamespacePackage, getPackageRegistry, setIDAttributeName, setNoNamespacePackage, setPackageRegistry`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLMapImpl.DelegateXMLMapImpl

    protected XMLMapImpl.DelegateXMLMapImpl()

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.